# ApplicationFramework
TKStdSchema
StdDrivers

# StdDrivers_DocumentRetrievalDriver Class Reference

retrieval driver of a Part document

`#include <StdDrivers_DocumentRetrievalDriver.hxx>`

Inheritance diagram for StdDrivers_DocumentRetrievalDriver:

[legend]

## Public Member Functions

Standard_EXPORT | StdDrivers_DocumentRetrievalDriver ()
virtual Standard_EXPORT Handle_MDF_ARDriverTable | AttributeDrivers (const Handle(CDM_MessageDriver)&theMessageDriver)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT StdDrivers_DocumentRetrievalDriver::StdDrivers_DocumentRetrievalDriver | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_MDF_ARDriverTable StdDrivers_DocumentRetrievalDriver::AttributeDrivers | ( | const Handle(CDM_MessageDriver)& | theMessageDriver | ) | `[virtual]`

| Reimplemented from MDocStd_DocumentRetrievalDriver.

Standard_EXPORT const StdDrivers_DocumentRetrievalDriver::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MDocStd_DocumentRetrievalDriver.

The documentation for this class was generated from the following file:

- StdDrivers_DocumentRetrievalDriver.hxx